﻿<html>

<head>
    <meta charset="UTF-8">
    <title>Salaxy plain jQuery samples</title>
    <!-- 
        These styles are mostly just to make samples look nicer, there is no real dependency.
        Only exception is Reports. They use this styling and require .salaxy-component class for styles defined in salaxy-component-bootstrap.css.
        Bootstrap is just a standard bootstrap (Not used by reports HTML).
    -->
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700,400italic" rel="stylesheet" type="text/css" />
    <link href="http://developers.salaxy.com/css/salaxy-lib-ng1/bootstrap.css" rel="stylesheet" type="text/css" />
    <link href="http://developers.salaxy.com/css/salaxy-lib-ng1/salaxy-component-bootstrap.css" rel="stylesheet" type="text/css">

    <!-- These samples use jQuery as Framework -->
    <script src="https://code.jquery.com/jquery-3.2.1.min.js" integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>
    <!-- Add reference to Salaxy libraries -->
    <script src="../../dist/npm/@salaxy/core/salaxy-core-all.js" type="text/javascript"></script>

    <!-- Samples scripts -->
    <script src="../_lib/samples-reused-helpers.js" type="text/javascript"></script>
    <script src="script.js" type="text/javascript"></script>
</head>

<body>
    <div class="container salaxy-component">
        <h2>Report for an existing calculation</h2>
        <p class="lead"></p>
        <form>
            <div class="row">
                <div class="col-sm-4">
                    <input type="text" id="sample4-id" class="form-control" placeholder="Calculation id"><br>
                </div>
                <div class="col-sm-3">
                    <button type="button" class="btn btn-success" onclick="workerReport()">Worker report (page 1)</button>
                    <button type="button" class="btn btn-success" onclick="workerReportPage2()">Worker report (page 2)</button>
                </div>
                <div class="col-sm-3">
                    <button type="button" class="btn btn-success" onclick="employerReport()">Employer report (page 1)</button>
                    <button type="button" class="btn btn-success" onclick="employerReportPage2()">Employer report (page 2)</button>
                </div>
                <div class="col-sm-2">
                    <button type="button" class="btn btn-success" onclick="paymentReport()">Payment report</button>
                </div>
            </div>
        </form>
        <div class="row" id="report">

        </div>
    </div>
</body>

</html>